# (Deprecated) 계약서/전자서명 조회 API

**해당 API는 더 이상 업데이트를 제공하지 않습니다.** [**find API**](/signature/find.md)**를 사용해 주세요.**

계약서 및 전자계약에 대한 정보/현황을 조회할 수 있는 API입니다.

<br>

## `GET` kit-api/v1/contracts/\[contract uuid]

Method: GET\
Endpoint: kit-api/v1/contracts/\[contract uuid]

<br>

## Example

```
...kit-api/v1/contracts/ed976505-bcbd-47bd-913d-f4cde05dea7a
```

<br>

## Response

```json
{
  "ok": true, // api 성공 여부
  "message": undefined, // Error가 존재하면 message(string)로 전달
  "data": {
    // 계약 정보 (contract)
    "contract": {
      "uuid": "ed976505-bcbd-47bd-913d-f4cde05dea7a", // 문서 식별값 (uuid 값을 api에서 사용합니다)
      "concludedFile": "...concluded.pdf", // 체결된 계약 문서 url (nullable, 요청 후 10분만 유효합니다.)
      "title": "A컴퍼니 MOU", // 계약서 이름
      "file": "...contract.pdf", // 원본 계약 문서 url (요청 후 10분만 유효합니다.)
      "createdAt": "2024-07-05T00:00:00.000Z", // 생성일
      "status": "CREATED", // 계약 상태 (CREATED, CONCLUDED)
      "signature": {
        // 전자서명 정보
        "uuid": "57139f5c-37d0-4c30-bdb6-ef6106040756", // 전자서명 식별값
        "title": "A컴퍼니 MOU 전자서명", // 전자서명 제목
        "expiredDate": "2024-10-15T00:00:00.000Z", // 전자서명 만료일
        "status": "WAITING", // 전자서명 상태 (CREATED, WAITING, DONE, CANCELED)
        "createdAt": "2024-07-15T00:00:00.000Z", // 생성일
        "participants": [], // 전자서명 참여자 정보
        "objects": [
          {
            // 전자서명 입력값 정보
            "contents": "서울시 강남구 선릉로 551", // 내용
            "type": "TEXT", // 종류 (TEXT, SIGNATURE, CHECKBOX)
            "category": "DEFAULT", // 유형 (DEFAULT, INPUT)
            "name": "주소", // 이름
            "description": "상세 주소를 입력해 주세요." // 설명
          }
        ]
      }
    }
  }
}
```

<br>

| Status Code | Error Code                     | Description           |
| ----------- | ------------------------------ | --------------------- |
| 400         | INVALID\_CUSTOMER\_CUSTOM\_KEY | 규칙을 벗어난 customKey인 경우 |
| 404         | NOT\_FOUND\_CUSTOMER           | 존재하지 않는 고객인 경우        |

<br>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api-kit.prix.im/signature/item.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
